# Events Object

> Source: https://truto.one/docs/api-reference/unified-calendar-api/events/

Schema for the `Events` resource in **Unified Calendar API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier of the event.
- **`calendar`** _(object)_
  The calendar associated with the event.
  - **`id`** _(string)_
    The unique identifier of the calendar.
  - **`name`** _(string)_
    The name of the calendar.
- **`title`** _(string, required)_
  The title of the event.
- **`description`** _(string)_
  The description of the event.
- **`location`** _(object)_
  The location of the event.
  - **`id`** _(string)_
    The unique identifier of the location.
  - **`name`** _(string)_
    The name of the location.
  - **`address`** _(object)_
    - **`street_1`** _(string)_
      The first line of the street address.
    - **`street_2`** _(string)_
      The second line of the street address.
    - **`city`** _(string)_
      The city of the address.
    - **`state`** _(string)_
      The state of the address.
    - **`country`** _(string)_
      The country of the address.
    - **`postal_code`** _(string)_
      The postal code of the address.
  - **`url`** _(string)_
    The URL of the location.
  - **`coordinates`** _(object)_
    - **`latitude`** _(number)_
      The latitude of the location.
    - **`longitude`** _(number)_
      The longitude of the location.
- **`timezone`** _(string)_
  The timezone of the event.
- **`start_time`** _(string, required)_
  The date and time when the event starts.
- **`end_time`** _(string)_
  The date and time when the event ends.
- **`status`** _(string)_
  The status of the event.
  Allowed: `confirmed`, `tentative`, `cancelled`, `draft`
- **`attendees`** _(array<object>)_
  The attendees associated with the event.
  - **`person`** _(object)_
    The person associated with the attendee.
    - **`id`** _(string)_
      The unique identifier of the person.
    - **`name`** _(string)_
      The name of the person.
    - **`emails`** _(array<object>)_
      The emails of the person.
      - **`email`** _(string)_
        The email of the person.
      - **`type`** _(string)_
        The type of the email.
  - **`is_optional`** _(boolean)_
    Indicates if the attendance is optional.
  - **`is_self`** _(boolean)_
    Indicates if the attendee is the authenticated user.
  - **`is_organizer`** _(boolean)_
    Indicates if the attendee is the organizer of the event.
  - **`response`** _(object)_
    The response of the attendee.
    - **`status`** _(string)_
      The status of the response.
      Allowed: `needs_action`, `declined`, `tentative`, `accepted`
    - **`comment`** _(string)_
      The comment of the response.
- **`created_by`** _(object)_
  The person who created the event.
  - **`id`** _(string)_
    The unique identifier of the person.
  - **`name`** _(string)_
    The name of the person.
  - **`emails`** _(array<object>)_
    The emails of the person.
    - **`email`** _(string)_
      The email of the person.
    - **`type`** _(string)_
      The type of the email.
- **`organized_by`** _(object)_
  The person who created the event.
  - **`id`** _(string)_
    The unique identifier of the person.
  - **`name`** _(string)_
    The name of the person.
  - **`emails`** _(array<object>)_
    The emails of the person.
    - **`email`** _(string)_
      The email of the person.
    - **`type`** _(string)_
      The type of the email.
- **`type`** _(string)_
  The type of the event.
  Allowed: `default`, `out_of_office`, `focus_time`, `working_location`
- **`availability`** _(string)_
  The availability of the user during the time period of the event.
  Allowed: `busy`, `free`
- **`visibility`** _(string)_
  The visibility of the event.
  Allowed: `calendar_default`, `public`, `private`
- **`identifiers`** _(object)_
  The identifiers associated with the event.
  - **`ical_uid`** _(string)_
    The iCalendar UID of the event.
  - **`ical_sequence`** _(string)_
    The iCalendar sequence of the event.
- **`is_locked`** _(boolean)_
  Indicates if the event is locked and cannot be modified.
- **`urls`** _(object)_
  The URLs associated with the event.
  - **`url`** _(string)_
    The URL of the event.
  - **`type`** _(string)_
    The type of the URL.
- **`is_recurring`** _(boolean)_
  Indicates if the event is recurring.
- **`recurrence`** _(array<string>)_
  The recurrence of the event. List of RRULE, EXRULE, RDATE and EXDATE lines for a recurring event, as specified in RFC5545.
- **`parent_event`** _(object)_
  The parent event of a recurring event.
  - **`id`** _(string)_
    The unique identifier of the parent event.
- **`has_attachments`** _(boolean)_
  Indicates if the event has attachments.
- **`attachments`** _(array<object>)_
  The attachments associated with the event.
  - **`id`** _(string)_
    The unique identifier of the attachment.
  - **`name`** _(string)_
    The name of the attachment.
  - **`mime_type`** _(string)_
    The MIME type of the attachment.
  - **`url`** _(string)_
    The URL of the attachment.
  - **`created_at`** _(string)_
    The date when the attachment was created.
  - **`updated_at`** _(string)_
    The date when the attachment was updated.
- **`guests_can_invite_others`** _(boolean)_
  Indicates if guests can invite others to the event.
- **`guests_can_modify`** _(boolean)_
  Indicates if guests can modify the event.
- **`guests_can_see_other_guests`** _(boolean)_
  Indicates if guests can see other guests of the event.
- **`event_type`** _(object)_
  The event type object associated with the event.
  - **`id`** _(string)_
    The unique identifier of the event type.
- **`created_at`** _(string)_
  The date when the event was created.
- **`updated_at`** _(string)_
  The date when the event was updated.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/calendar/events](/docs/api-reference/unified-calendar-api/events/list) — List Events
- [POST /unified/calendar/events](/docs/api-reference/unified-calendar-api/events/create) — Create Events
- [GET /unified/calendar/events/{id}](/docs/api-reference/unified-calendar-api/events/get) — Get Events
- [DELETE /unified/calendar/events/{id}](/docs/api-reference/unified-calendar-api/events/delete) — Delete Events
- [PATCH /unified/calendar/events/{id}](/docs/api-reference/unified-calendar-api/events/update) — Update Events
